<?php
/* Inspired from autoload from version 1.2.0 */

require 'PHPUnit/Autoload.php';
require 'PHP/CodeCoverage/Autoload.php';
require 'SebastianBergmann/Diff/autoload.php';
require 'SebastianBergmann/FinderFacade/autoload.php';
require 'SebastianBergmann/Version/autoload.php';
require 'Symfony/Component/Console/autoloader.php';

spl_autoload_register(
    function($class) {
        static $classes = null;
        if ($classes === null) {
            $classes = array(
              'sebastianbergmann\\phpcov\\application' => '/Application.php',
                'sebastianbergmann\\phpcov\\basecommand' => '/BaseCommand.php',
                'sebastianbergmann\\phpcov\\executecommand' => '/ExecuteCommand.php',
                'sebastianbergmann\\phpcov\\mergecommand' => '/MergeCommand.php',
                'sebastianbergmann\\phpcov\\patchcoverage' => '/PatchCoverage.php',
                'sebastianbergmann\\phpcov\\patchcoveragecommand' => '/PatchCoverageCommand.php'
            );
        }
        $cn = strtolower($class);
        if (isset($classes[$cn])) {
            require __DIR__ . $classes[$cn];
        }
    }
);
